Package Gnumed :: Package pycommon :: Module gmTools :: Class gmPaths |
[frames] | no frames]

# Class gmPaths

source code

      object --+
               |
    gmBorg.cBorg --+
                   |
                  gmPaths

This class provides the following paths:

.home_dir .local_base_dir .working_dir .user_config_dir .system_config_dir .system_app_data_dir .tmp_dir (readonly)

Instance Methods
__init__(self, app_name=None, wx=None) Setup pathes. | source code
init_paths(self, app_name=None, wx=None) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `gmBorg.cBorg`: `__new__`

Properties
| user_config_dir
| system_config_dir
| system_app_data_dir
| home_dir
| tmp_dir
Inherited from `object`: `__class__`

Method Details

### __init__(self, app_name=None, wx=None) (Constructor) | source code
Setup pathes. <app_name> will default to (name of the script - .py) Overrides: object.__init__

Property Details

### user_config_dir Get Method: _get_user_config_dir(self) Set Method: _set_user_config_dir(self, path)

### system_config_dir Get Method: _get_system_config_dir(self) Set Method: _set_system_config_dir(self, path)

### system_app_data_dir Get Method: _get_system_app_data_dir(self) Set Method: _set_system_app_data_dir(self, path)

### home_dir Get Method: _get_home_dir(self) Set Method: _set_home_dir(self, path)

### tmp_dir Get Method: _get_tmp_dir(self) Set Method: _set_tmp_dir(self, path)